import java.io.*;

/**
 * A client which tries to avoid server errors
 * 
 * @author Uno Holmer
 * @version 2008-01-28
 */
public class Client {
    private Server server;

    public Client(Server server) {
        this.server = server;
    }

    void run() throws IOException {
        BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
        int failures = 0;
        boolean success = false;
        do {
             System.out.print("Input value: ");
             String digits = input.readLine();
             Integer i = new Integer(digits.trim());
             // check the validity of the argument before calling compute
             if ( server.isValidArgument( i ) ) {
                 System.out.println(server.compute( i ));
                 success = true;
             } else {
                 System.out.println("Negative numbers are not allowed, try again");
                 ++failures;
             }
         } while (!success && failures < 3);
    }
}
