import java.io.*;

/**
 * A client which tries to avoid server errors
 * 
 * @author Uno Holmer
 * @version 2008-01-28
 */
public class Client {
    private Server server;

    public Client(Server server) {
        this.server = server;
    }

    void run() throws IOException {
        BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
        System.out.print("Input an integer value: ");
        String digits = input.readLine();
        Integer i = new Integer(digits.trim());

        long result = server.compute( i );
        if ( result != -1 ) 
            System.out.println(result);
        else 
            System.out.println("Server operation failed, try again later");
    }
}
